OMSimulatorLib The OMSimulator project is a FMI-based co-simulation environment.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
oms::ComponentFMU3ME Class Reference

`#include <ComponentFMU3ME.h>`

Inheritance diagram for oms::ComponentFMU3ME:
[legend]
Collaboration diagram for oms::ComponentFMU3ME:
[legend]

## Public Member Functions
| ~ComponentFMU3ME ()
const FMUInfo * | getFMUInfo () const
oms_status_enu_t | exportToSSD (pugi::xml_node &node, Snapshot &snapshot, std::string variantName) const
oms_status_enu_t | exportToSSV (pugi::xml_node &ssvNode)
void | getFilteredUnitDefinitionsToSSD (std::map< std::string, std::map< std::string, std::string > > &unitDefinitions)
void | getFilteredEnumerationDefinitionsToSSD (std::map< std::string, std::map< std::string, std::string > > &enumerationDefinitions)
oms_status_enu_t | exportToSSVTemplate (pugi::xml_node &ssvNode, Snapshot &snapshot)
oms_status_enu_t | exportToSSMTemplate (pugi::xml_node &ssmNode)
oms_status_enu_t | instantiate ()
oms_status_enu_t | initialize ()
oms_status_enu_t | terminate ()
oms_status_enu_t | reset ()
oms_status_enu_t | initializeDependencyGraph_initialUnknowns ()
oms_status_enu_t | initializeDependencyGraph_outputs ()
Variable * | getVariable (const ComRef &cref)
Values & | getValues ()
oms_status_enu_t | setValuesResources (Values &values)
oms_status_enu_t | getBoolean (const ComRef &cref, bool &value)
oms_status_enu_t | getBoolean (const fmi2ValueReference &vr, bool &value)
oms_status_enu_t | getInteger (const ComRef &cref, int &value)
oms_status_enu_t | getInteger (const fmi2ValueReference &vr, int &value, oms_signal_numeric_type_enu_t numericType)
oms_status_enu_t | getReal (const ComRef &cref, double &value)
oms_status_enu_t | getReal (const fmi2ValueReference &vr, double &value, oms_signal_numeric_type_enu_t numericType)
oms_status_enu_t | getString (const ComRef &cref, std::string &value)
oms_status_enu_t | getString (const fmi2ValueReference &vr, std::string &value)
oms_status_enu_t | setBoolean (const ComRef &cref, bool value)
oms_status_enu_t | setInteger (const ComRef &cref, int value)
oms_status_enu_t | setReal (const ComRef &cref, double value)
oms_status_enu_t | setString (const ComRef &cref, const std::string &value)
oms_status_enu_t | setUnit (const ComRef &cref, const std::string &value)
oms_status_enu_t | setTime (double time)
oms_status_enu_t | getDirectionalDerivative (const ComRef &unknownCref, const ComRef &knownCref, double &value)
oms_status_enu_t | getDirectionalDerivativeHeper (const int unknownIndex, const int knownIndex, const std::vector< int > &dependencyList, double &value)
oms_status_enu_t | deleteStartValue (const ComRef &cref)
oms_status_enu_t | updateOrDeleteStartValueInReplacedComponent (std::vector< std::string > &warningList)
oms_status_enu_t | registerSignalsForResultFile (ResultWriter &resultFile)
oms_status_enu_t | updateSignals (ResultWriter &resultWriter)
oms_status_enu_t | addSignalsToResults (const char *regex)
oms_status_enu_t | removeSignalsFromResults (const char *regex)
oms_status_enu_t | doEventIteration ()
size_t | getNumberOfContinuousStates () const
size_t | getNumberOfEventIndicators () const
oms_status_enu_t | getContinuousStates (double *states)
oms_status_enu_t | setContinuousStates (double *states)
oms_status_enu_t | getDerivatives (double *derivatives)
oms_status_enu_t | getNominalsOfContinuousStates (double *nominals)
oms_status_enu_t | getEventindicators (double *eventindicators)
oms_status_enu_t | getEventindicators (double *eventindicators, size_t size)
oms_status_enu_t | completedIntegratorStep (bool noSetFMUStatePriorToCurrentPoint, bool &enterEventMode, bool &terminateSimulation)
oms_status_enu_t | enterEventMode ()
oms_status_enu_t | enterContinuousTimeMode ()
fmiHandle * | getFMU ()
bool | getCanGetAndSetState ()
void | getFilteredSignals (std::vector< Connector > &filteredSignals) const
oms_status_enu_t | newResources (const std::string &ssvFilename, const std::string &ssmFilename, bool externalResources)
oms_status_enu_t | setResourcesHelper1 (Values value)
oms_status_enu_t | setResourcesHelper2 (Values value)
oms_status_enu_t | setExportName (const std::string &exportName)
std::string | getExportName () const
oms_status_enu_t | deleteReferencesInSSD (const std::string &filename)
oms_status_enu_t | deleteResourcesInSSP (const std::string &filename)
bool | getNewDiscreteStatesNeeded ()
bool | getTerminateSimulation ()
bool | getNominalsOfContinuousStatesChanged ()
bool | getValuesOfContinuousStatesChanged ()
bool | getNextEventTimeDefined ()
double | getNextEventTime ()
Public Member Functions inherited from oms::Component
virtual | ~Component ()
virtual oms_status_enu_t | getVariableType (const ComRef &cref, oms_signal_type_enu_t &type)
virtual std::vector< Values > | getValuesResources ()
virtual oms_status_enu_t | freeState ()
virtual oms_status_enu_t | getRealOutputDerivative (const ComRef &cref, SignalDerivative &der)
virtual oms_status_enu_t | restoreState ()
virtual oms_status_enu_t | saveState ()
virtual oms_status_enu_t | setRealInputDerivative (const ComRef &cref, const SignalDerivative &der)
virtual oms_status_enu_t | stepUntil (double stopTime)
virtual oms_status_enu_t | addResources (std::string &filename)
virtual fmi2EventInfo * | getEventInfo ()
const ComRef & | getCref () const
ComRef | getFullCref () const
Element * | getElement ()
Connector * | getConnector (const ComRef &cref)
Connector ** | getConnectors ()
oms_status_enu_t | deleteConnector (const ComRef &cref)
void | getAllResources (std::vector< std::string > &resources) const
const std::string & | getPath () const
const std::string & | getTempDir () const
void | setPath (const std::string &newPath)
void | setTempDir (const std::string &tempDir)
oms_component_enu_t | getType () const
System * | getParentSystem () const
Model & | getModel () const
void | setGeometry (const ssd::ElementGeometry &geometry)
const DirectedGraph & | getInitialUnknownsGraph ()
const DirectedGraph & | getOutputsGraph ()
oms_status_enu_t | rename (const ComRef &newCref)
| rename submodules, e.g., fmu:s

## Static Public Member Functions
static Component * | NewComponent (const oms::ComRef &cref, System *parentSystem, const std::string &fmuPath, std::string replaceComponent="")
static Component * | NewComponent (const pugi::xml_node &node, System *parentSystem, const std::string &sspVersion, const Snapshot &snapshot, std::string variantName)

## Protected Member Functions
| ComponentFMU3ME (const ComRef &cref, System *parentSystem, const std::string &fmuPath)
| ComponentFMU3ME (ComponentFMU3ME const &copy)
| not implemented
ComponentFMU3ME & | operator= (ComponentFMU3ME const &copy)
| not implemented
oms_status_enu_t | renameValues (const ComRef &oldCref, const ComRef &newCref)
void | dumpInitialUnknowns ()
Protected Member Functions inherited from oms::Component
| Component (const ComRef &cref, oms_component_enu_t type, System *parentSystem, const std::string &path)
| Component (Component const &)
| not implemented
Component & | operator= (Component const &)
| not implemented

## Private Member Functions
oms::ComRef | getValidCref (ComRef cref)

## Private Attributes
fmi3LogMessageCallback | omsfmi3logger
fmiHandle * | fmu = NULL
size_t | nEventIndicators
size_t | nContinuousStates
fmi3Boolean | newDiscreteStatesNeeded
fmi3Boolean | terminateSimulation
fmi3Boolean | nominalsOfContinuousStatesChanged
fmi3Boolean | valuesOfContinuousStatesChanged
fmi3Boolean | nextEventTimeDefined
fmi3Float64 | nextEventTime
FMUInfo | fmuInfo
std::vector< Variable > | allVariables
std::vector< unsigned int > | calculatedParameters
std::vector< unsigned int > | derivatives
std::vector< unsigned int > | inputs
std::vector< unsigned int > | outputs
std::vector< unsigned int > | parameters
std::vector< bool > | exportVariables
std::string | exportName
| export name of the FMU, used for the result file
Values | values
| start values defined before instantiating the FMU and external inputs defined after initialization
std::unordered_map< unsigned int, unsigned int > | resultFileMapping

## Additional Inherited Members
Protected Attributes inherited from oms::Component
DirectedGraph | initialUnknownsGraph
DirectedGraph | outputsGraph
Element | element
std::vector< Connector * > | connectors
Clock | clock
unsigned int | clock_id

## Constructor & Destructor Documentation

## ◆ ~ComponentFMU3ME()

oms::ComponentFMU3ME::~ComponentFMU3ME | ( |  | ) |

## ◆ ComponentFMU3ME() [1/2]

oms::ComponentFMU3ME::ComponentFMU3ME | ( | const ComRef & | cref,
|  | System * | parentSystem,
|  | const std::string & | fmuPath
| ) |  |
| protected

## ◆ ComponentFMU3ME() [2/2]

oms::ComponentFMU3ME::ComponentFMU3ME | ( | ComponentFMU3ME const & | copy | ) |
| protected

not implemented

## Member Function Documentation

## ◆ addSignalsToResults()

oms_status_enu_t oms::ComponentFMU3ME::addSignalsToResults | ( | const char * | regex | ) |
| virtual

Implements oms::Component.

## ◆ completedIntegratorStep()

oms_status_enu_t oms::ComponentFMU3ME::completedIntegratorStep | ( | bool | noSetFMUStatePriorToCurrentPoint,
|  | bool & | enterEventMode,
|  | bool & | terminateSimulation
| ) |  |
| virtual

Reimplemented from oms::Component.

## ◆ deleteReferencesInSSD()

oms_status_enu_t oms::ComponentFMU3ME::deleteReferencesInSSD | ( | const std::string & | filename | ) |
| virtual

Reimplemented from oms::Component.

Here is the call graph for this function:

## ◆ deleteResourcesInSSP()

oms_status_enu_t oms::ComponentFMU3ME::deleteResourcesInSSP | ( | const std::string & | filename | ) |
| virtual

Reimplemented from oms::Component.

## ◆ deleteStartValue()

oms_status_enu_t oms::ComponentFMU3ME::deleteStartValue | ( | const ComRef & | cref | ) |
| virtual

Reimplemented from oms::Component.

## ◆ doEventIteration()

oms_status_enu_t oms::ComponentFMU3ME::doEventIteration | ( |  | ) |
| virtual

Reimplemented from oms::Component.

Here is the call graph for this function:

## ◆ dumpInitialUnknowns()

void oms::ComponentFMU3ME::dumpInitialUnknowns | ( |  | ) |
| protected

## ◆ enterContinuousTimeMode()

oms_status_enu_t oms::ComponentFMU3ME::enterContinuousTimeMode | ( |  | ) |
| virtual

Reimplemented from oms::Component.

## ◆ enterEventMode()

oms_status_enu_t oms::ComponentFMU3ME::enterEventMode | ( |  | ) |
| virtual

Reimplemented from oms::Component.

## ◆ exportToSSD()

oms_status_enu_t oms::ComponentFMU3ME::exportToSSD | ( | pugi::xml_node & | node,
|  | Snapshot & | snapshot,
|  | std::string | variantName
| ) |  | const
| virtual

Implements oms::Component.

## ◆ exportToSSMTemplate()

oms_status_enu_t oms::ComponentFMU3ME::exportToSSMTemplate | ( | pugi::xml_node & | ssmNode | ) |
| virtual

Reimplemented from oms::Component.

## ◆ exportToSSV()

oms_status_enu_t oms::ComponentFMU3ME::exportToSSV | ( | pugi::xml_node & | ssvNode | ) |
| virtual

Reimplemented from oms::Component.

## ◆ exportToSSVTemplate()

oms_status_enu_t oms::ComponentFMU3ME::exportToSSVTemplate | ( | pugi::xml_node & | ssvNode,
|  | Snapshot & | snapshot
| ) |  |
| virtual

Reimplemented from oms::Component.

## ◆ getBoolean() [1/2]

oms_status_enu_t oms::ComponentFMU3ME::getBoolean | ( | const ComRef & | cref,
|  | bool & | value
| ) |  |
| virtual

Reimplemented from oms::Component.

## ◆ getBoolean() [2/2]

oms_status_enu_t oms::ComponentFMU3ME::getBoolean | ( | const fmi2ValueReference & | vr,
|  | bool & | value
| ) |  |

## ◆ getCanGetAndSetState()

bool oms::ComponentFMU3ME::getCanGetAndSetState | ( |  | ) |
| inline virtual

Reimplemented from oms::Component.

Here is the call graph for this function:

## ◆ getContinuousStates()

oms_status_enu_t oms::ComponentFMU3ME::getContinuousStates | ( | double * | states | ) |
| virtual

Reimplemented from oms::Component.

## ◆ getDerivatives()

oms_status_enu_t oms::ComponentFMU3ME::getDerivatives | ( | double * | derivatives | ) |
| virtual

Reimplemented from oms::Component.

## ◆ getDirectionalDerivative()

oms_status_enu_t oms::ComponentFMU3ME::getDirectionalDerivative | ( | const ComRef & | unknownCref,
|  | const ComRef & | knownCref,
|  | double & | value
| ) |  |
| virtual

Reimplemented from oms::Component.

Here is the call graph for this function:

## ◆ getDirectionalDerivativeHeper()

oms_status_enu_t oms::ComponentFMU3ME::getDirectionalDerivativeHeper | ( | const int | unknownIndex,
|  | const int | knownIndex,
|  | const std::vector< int > & | dependencyList,
|  | double & | value
| ) |  |

## ◆ getEventindicators() [1/2]

oms_status_enu_t oms::ComponentFMU3ME::getEventindicators | ( | double * | eventindicators | ) |
| virtual

Reimplemented from oms::Component.

## ◆ getEventindicators() [2/2]

oms_status_enu_t oms::ComponentFMU3ME::getEventindicators | ( | double * | eventindicators,
|  | size_t | size
| ) |  |
| virtual

Reimplemented from oms::Component.

## ◆ getExportName()

std::string oms::ComponentFMU3ME::getExportName | ( |  | ) | const
| inline

## ◆ getFilteredEnumerationDefinitionsToSSD()

void oms::ComponentFMU3ME::getFilteredEnumerationDefinitionsToSSD | ( | std::map< std::string, std::map< std::string, std::string > > & | enumerationDefinitions | ) |
| virtual

Reimplemented from oms::Component.

## ◆ getFilteredSignals()

void oms::ComponentFMU3ME::getFilteredSignals | ( | std::vector< Connector > & | filteredSignals | ) | const
| virtual

Implements oms::Component.

## ◆ getFilteredUnitDefinitionsToSSD()

void oms::ComponentFMU3ME::getFilteredUnitDefinitionsToSSD | ( | std::map< std::string, std::map< std::string, std::string > > & | unitDefinitions | ) |
| virtual

Reimplemented from oms::Component.

## ◆ getFMU()

fmiHandle * oms::ComponentFMU3ME::getFMU | ( |  | ) |
| inline virtual

Reimplemented from oms::Component.

## ◆ getFMUInfo()

const FMUInfo * oms::ComponentFMU3ME::getFMUInfo | ( |  | ) | const
| inline virtual

Reimplemented from oms::Component.

Here is the caller graph for this function:

## ◆ getInteger() [1/2]

oms_status_enu_t oms::ComponentFMU3ME::getInteger | ( | const ComRef & | cref,
|  | int & | value
| ) |  |
| virtual

Reimplemented from oms::Component.

## ◆ getInteger() [2/2]

oms_status_enu_t oms::ComponentFMU3ME::getInteger | ( | const fmi2ValueReference & | vr,
|  | int & | value,
|  | oms_signal_numeric_type_enu_t | numericType
| ) |  |

## ◆ getNewDiscreteStatesNeeded()

bool oms::ComponentFMU3ME::getNewDiscreteStatesNeeded | ( |  | ) |
| inline virtual

Reimplemented from oms::Component.

## ◆ getNextEventTime()

double oms::ComponentFMU3ME::getNextEventTime | ( |  | ) |
| inline virtual

Reimplemented from oms::Component.

## ◆ getNextEventTimeDefined()

bool oms::ComponentFMU3ME::getNextEventTimeDefined | ( |  | ) |
| inline virtual

Reimplemented from oms::Component.

## ◆ getNominalsOfContinuousStates()

oms_status_enu_t oms::ComponentFMU3ME::getNominalsOfContinuousStates | ( | double * | nominals | ) |
| virtual

Reimplemented from oms::Component.

## ◆ getNominalsOfContinuousStatesChanged()

bool oms::ComponentFMU3ME::getNominalsOfContinuousStatesChanged | ( |  | ) |
| inline virtual

Reimplemented from oms::Component.

## ◆ getNumberOfContinuousStates()

size_t oms::ComponentFMU3ME::getNumberOfContinuousStates | ( |  | ) | const
| inline virtual

Reimplemented from oms::Component.

## ◆ getNumberOfEventIndicators()

size_t oms::ComponentFMU3ME::getNumberOfEventIndicators | ( |  | ) | const
| inline virtual

Reimplemented from oms::Component.

## ◆ getReal() [1/2]

oms_status_enu_t oms::ComponentFMU3ME::getReal | ( | const ComRef & | cref,
|  | double & | value
| ) |  |
| virtual

Reimplemented from oms::Component.

## ◆ getReal() [2/2]

oms_status_enu_t oms::ComponentFMU3ME::getReal | ( | const fmi2ValueReference & | vr,
|  | double & | value,
|  | oms_signal_numeric_type_enu_t | numericType
| ) |  |

## ◆ getString() [1/2]

oms_status_enu_t oms::ComponentFMU3ME::getString | ( | const ComRef & | cref,
|  | std::string & | value
| ) |  |
| virtual

Reimplemented from oms::Component.

## ◆ getString() [2/2]

oms_status_enu_t oms::ComponentFMU3ME::getString | ( | const fmi2ValueReference & | vr,
|  | std::string & | value
| ) |  |

## ◆ getTerminateSimulation()

bool oms::ComponentFMU3ME::getTerminateSimulation | ( |  | ) |
| inline virtual

Reimplemented from oms::Component.

## ◆ getValidCref()

oms::ComRef oms::ComponentFMU3ME::getValidCref | ( | ComRef | cref | ) |
| private

Here is the call graph for this function:

## ◆ getValues()

Values & oms::ComponentFMU3ME::getValues | ( |  | ) |
| inline virtual

Reimplemented from oms::Component.

## ◆ getValuesOfContinuousStatesChanged()

bool oms::ComponentFMU3ME::getValuesOfContinuousStatesChanged | ( |  | ) |
| inline virtual

Reimplemented from oms::Component.

## ◆ getVariable()

oms::Variable * oms::ComponentFMU3ME::getVariable | ( | const ComRef & | cref | ) |
| virtual

Implements oms::Component.

## ◆ initialize()

oms_status_enu_t oms::ComponentFMU3ME::initialize | ( |  | ) |
| virtual

Implements oms::Component.

## ◆ initializeDependencyGraph_initialUnknowns()

oms_status_enu_t oms::ComponentFMU3ME::initializeDependencyGraph_initialUnknowns | ( |  | ) |

Here is the call graph for this function:

## ◆ initializeDependencyGraph_outputs()

oms_status_enu_t oms::ComponentFMU3ME::initializeDependencyGraph_outputs | ( |  | ) |

Here is the call graph for this function:

## ◆ instantiate()

oms_status_enu_t oms::ComponentFMU3ME::instantiate | ( |  | ) |
| virtual

Implements oms::Component.

## ◆ NewComponent() [1/2]

oms::Component * oms::ComponentFMU3ME::NewComponent | ( | const oms::ComRef & | cref,
|  | oms::System * | parentSystem,
|  | const std::string & | fmuPath,
|  | std::string | replaceComponent = `""`
| ) |  |
| static

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ NewComponent() [2/2]

oms::Component * oms::ComponentFMU3ME::NewComponent | ( | const pugi::xml_node & | node,
|  | oms::System * | parentSystem,
|  | const std::string & | sspVersion,
|  | const Snapshot & | snapshot,
|  | std::string | variantName
| ) |  |
| static

Here is the call graph for this function:

## ◆ newResources()

oms_status_enu_t oms::ComponentFMU3ME::newResources | ( | const std::string & | ssvFilename,
|  | const std::string & | ssmFilename,
|  | bool | externalResources
| ) |  |
| virtual

Reimplemented from oms::Component.

Here is the call graph for this function:

## ◆ operator=()

ComponentFMU3ME & oms::ComponentFMU3ME::operator= | ( | ComponentFMU3ME const & | copy | ) |
| protected

not implemented

## ◆ registerSignalsForResultFile()

oms_status_enu_t oms::ComponentFMU3ME::registerSignalsForResultFile | ( | ResultWriter & | resultFile | ) |
| virtual

Implements oms::Component.

Here is the call graph for this function:

## ◆ removeSignalsFromResults()

oms_status_enu_t oms::ComponentFMU3ME::removeSignalsFromResults | ( | const char * | regex | ) |
| virtual

Implements oms::Component.

## ◆ renameValues()

oms_status_enu_t oms::ComponentFMU3ME::renameValues | ( | const ComRef & | oldCref,
|  | const ComRef & | newCref
| ) |  |
| protected virtual

Reimplemented from oms::Component.

## ◆ reset()

oms_status_enu_t oms::ComponentFMU3ME::reset | ( |  | ) |
| virtual

Implements oms::Component.

## ◆ setBoolean()

oms_status_enu_t oms::ComponentFMU3ME::setBoolean | ( | const ComRef & | cref,
|  | bool | value
| ) |  |
| virtual

Reimplemented from oms::Component.

## ◆ setContinuousStates()

oms_status_enu_t oms::ComponentFMU3ME::setContinuousStates | ( | double * | states | ) |
| virtual

Reimplemented from oms::Component.

## ◆ setExportName()

oms_status_enu_t oms::ComponentFMU3ME::setExportName | ( | const std::string & | exportName | ) |
| inline virtual

Reimplemented from oms::Component.

## ◆ setInteger()

oms_status_enu_t oms::ComponentFMU3ME::setInteger | ( | const ComRef & | cref,
|  | int | value
| ) |  |
| virtual

Reimplemented from oms::Component.

Here is the call graph for this function:

## ◆ setReal()

oms_status_enu_t oms::ComponentFMU3ME::setReal | ( | const ComRef & | cref,
|  | double | value
| ) |  |
| virtual

Reimplemented from oms::Component.

Here is the call graph for this function:

## ◆ setResourcesHelper1()

oms_status_enu_t oms::ComponentFMU3ME::setResourcesHelper1 | ( | Values | value | ) |

## ◆ setResourcesHelper2()

oms_status_enu_t oms::ComponentFMU3ME::setResourcesHelper2 | ( | Values | value | ) |

Here is the call graph for this function:

## ◆ setString()

oms_status_enu_t oms::ComponentFMU3ME::setString | ( | const ComRef & | cref,
|  | const std::string & | value
| ) |  |
| virtual

Reimplemented from oms::Component.

## ◆ setTime()

oms_status_enu_t oms::ComponentFMU3ME::setTime | ( | double | time | ) |
| virtual

Reimplemented from oms::Component.

## ◆ setUnit()

oms_status_enu_t oms::ComponentFMU3ME::setUnit | ( | const ComRef & | cref,
|  | const std::string & | value
| ) |  |
| virtual

Reimplemented from oms::Component.

## ◆ setValuesResources()

oms_status_enu_t oms::ComponentFMU3ME::setValuesResources | ( | Values & | values | ) |
| virtual

Reimplemented from oms::Component.

## ◆ terminate()

oms_status_enu_t oms::ComponentFMU3ME::terminate | ( |  | ) |
| virtual

Implements oms::Component.

## ◆ updateOrDeleteStartValueInReplacedComponent()

oms_status_enu_t oms::ComponentFMU3ME::updateOrDeleteStartValueInReplacedComponent | ( | std::vector< std::string > & | warningList | ) |
| virtual

Reimplemented from oms::Component.

## ◆ updateSignals()

oms_status_enu_t oms::ComponentFMU3ME::updateSignals | ( | ResultWriter & | resultWriter | ) |
| virtual

Implements oms::Component.

Here is the call graph for this function:

## Member Data Documentation

## ◆ allVariables

std::vector<Variable> oms::ComponentFMU3ME::allVariables
| private

## ◆ calculatedParameters

std::vector<unsigned int> oms::ComponentFMU3ME::calculatedParameters
| private

## ◆ derivatives

std::vector<unsigned int> oms::ComponentFMU3ME::derivatives
| private

## ◆ exportName

std::string oms::ComponentFMU3ME::exportName
| private

export name of the FMU, used for the result file

## ◆ exportVariables

std::vector<bool> oms::ComponentFMU3ME::exportVariables
| private

## ◆ fmu

fmiHandle* oms::ComponentFMU3ME::fmu = NULL
| private

## ◆ fmuInfo

FMUInfo oms::ComponentFMU3ME::fmuInfo
| private

## ◆ inputs

std::vector<unsigned int> oms::ComponentFMU3ME::inputs
| private

## ◆ nContinuousStates

size_t oms::ComponentFMU3ME::nContinuousStates
| private

## ◆ nEventIndicators

size_t oms::ComponentFMU3ME::nEventIndicators
| private

## ◆ newDiscreteStatesNeeded

fmi3Boolean oms::ComponentFMU3ME::newDiscreteStatesNeeded
| private

## ◆ nextEventTime

fmi3Float64 oms::ComponentFMU3ME::nextEventTime
| private

## ◆ nextEventTimeDefined

fmi3Boolean oms::ComponentFMU3ME::nextEventTimeDefined
| private

## ◆ nominalsOfContinuousStatesChanged

fmi3Boolean oms::ComponentFMU3ME::nominalsOfContinuousStatesChanged
| private

## ◆ omsfmi3logger

fmi3LogMessageCallback oms::ComponentFMU3ME::omsfmi3logger
| private

## ◆ outputs

std::vector<unsigned int> oms::ComponentFMU3ME::outputs
| private

## ◆ parameters

std::vector<unsigned int> oms::ComponentFMU3ME::parameters
| private

## ◆ resultFileMapping

std::unordered_map<unsigned int , unsigned int > oms::ComponentFMU3ME::resultFileMapping
| private

## ◆ terminateSimulation

fmi3Boolean oms::ComponentFMU3ME::terminateSimulation
| private

## ◆ values

Values oms::ComponentFMU3ME::values
| private

start values defined before instantiating the FMU and external inputs defined after initialization

## ◆ valuesOfContinuousStatesChanged

fmi3Boolean oms::ComponentFMU3ME::valuesOfContinuousStatesChanged
| private

The documentation for this class was generated from the following files:

- /var/lib/jenkins1/ws/OMSimulator_PR-1598/src/OMSimulatorLib/ComponentFMU3ME.h
- /var/lib/jenkins1/ws/OMSimulator_PR-1598/src/OMSimulatorLib/ComponentFMU3ME.cpp